# 1. provide main model python file path
model_path = "./themodel_eg.py"

# 2. path to mod files; can be 'None' if mod files in base directory of `model_path`
mod_files_path = "./mechanisms"

# 3. Set default values for parameters (used to reset model to initial state)
# Note: should use same name as target parameter name (e.g. gbar_kmb and NOT gkm) with outer key specifying section/object
# Note: parameters to be set for NEURON simulator also included here as key:value pair
default_parameters = {'soma' : {'gbar_kmb':  0.005, 'gcanbar_can': 0.6},
                      'stim[0]' : {'amp' : 0.03},
                      'tstop' : 600,
                      'v_init' : -80}

# 4. Specify the vector objects that are being recorded during simulation
# Note: format is {display_label : vector_object_name}
# Note: time vector should use key as 'TIME' and is mandatory input
recorded_vectors = [{'TIME' : 't'},
                    {'v(0.5)' : 'v'},
                    {'cai(0.5)' : 'cai'}]
